%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
input_formula(formula_17,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p8(X1) )
     => p8(X2) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1,X1)   )).

input_formula(formula_9,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p4(X2,X1) )
     => p4(X2,X3) )   )).

input_formula(formula_3,axiom,(
    ! [X2,X1,X3] : 
      ( ( equal(X2,X1)
        & equal(X1,X3) )
     => equal(X2,X3) )   )).

input_formula(formula_18,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( equal(X1,X2)
        & p9(X1,X3,X4,X5) )
     => p9(X2,X3,X4,X5) )   )).

input_formula(formula_20,axiom,(
    ! [X1,X4,X2,X3,X5] : 
      ( ( equal(X1,X4)
        & p9(X2,X3,X1,X5) )
     => p9(X2,X3,X4,X5) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f2(X1,X3),f2(X2,X3)) )   )).

input_formula(formula_6,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f2(X2,X1),f2(X2,X3)) )   )).

input_formula(formula_2,axiom,(
    ! [X2,X1] : 
      ( equal(X2,X1)
     => equal(X1,X2) )   )).

input_formula(formula_7,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p3(X1) )
     => p3(X2) )   )).

input_formula(formula_19,axiom,(
    ! [X1,X3,X2,X4,X5] : 
      ( ( equal(X1,X3)
        & p9(X2,X1,X4,X5) )
     => p9(X2,X3,X4,X5) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1,X3)
        & p7(X2,X1,X4) )
     => p7(X2,X3,X4) )   )).

input_formula(formula_28,hypothesis,(
    ! [X2] : 
      ( ( p3(X2)
        & p8(X2) )
     => ? [X1] : 
          ( p6(X2,X1)
          & p5(X1,f1(X2)) ) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p5(X2,X1) )
     => p5(X2,X3) )   )).

input_formula(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p4(X1,X3) )
     => p4(X2,X3) )   )).

input_formula(formula_13,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p6(X2,X1) )
     => p6(X2,X3) )   )).

input_formula(formula_25,hypothesis,(
    ! [X1,X3,X2,X4] : 
      ( ( p3(X1)
        & p9(X3,X2,X1,X4) )
     => ( ( p5(f2(X2,X4),c10)
          & p4(c10,f2(X3,X4)) )
      <=> p7(X2,X3,X4) ) )   )).

input_formula(formula_22,axiom,(
    ! [X2,X1,X3] : 
      ( ( p4(X2,X1)
        & p4(X1,X3) )
     => p4(X2,X3) )   )).

input_formula(formula_16,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1,X4)
        & p7(X2,X3,X1) )
     => p7(X2,X3,X4) )   )).

input_formula(formula_27,hypothesis,(
    ! [X1] : 
      ( ( p3(X1)
        & p8(X1) )
     => ? [X2] : 
          ( p6(X1,X2)
          & ! [X3] : 
              ( ( p9(c11,c12,X1,X3)
                & p5(X3,X2) )
             => p4(f2(c12,X3),f2(c11,X3)) ) ) )   )).

input_formula(formula_29,conjecture,(
    ! [X1] : 
      ( ( p3(X1)
        & p8(X1) )
     => ? [X2] : 
          ( p6(X1,X2)
          & ! [X3] : 
              ( ( p9(c11,c12,X1,X3)
                & p5(X3,X2) )
             => p7(c12,c11,X3) ) ) )   )).

input_formula(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X1,X3) )
     => ( p4(X3,X2)
        | equal(X3,X2)
        | p4(X2,X3) ) )   )).

input_formula(formula_24,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
    <=> ( p4(X1,X2)
        | equal(X1,X2) ) )   )).

input_formula(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p5(X1,X3) )
     => p5(X2,X3) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p6(X1,X3) )
     => p6(X2,X3) )   )).

input_formula(formula_21,axiom,(
    ! [X1,X5,X2,X3,X4] : 
      ( ( equal(X1,X5)
        & p9(X2,X3,X4,X1) )
     => p9(X2,X3,X4,X5) )   )).

input_formula(formula_26,hypothesis,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p9(c11,c12,X1,X2)
        & p5(X2,f1(X1)) )
     => ( ( equal(f2(c11,X2),c10)
          & equal(f2(c12,X2),c10) )
        | ( p4(f2(c11,X2),c10)
          & p4(c10,f2(c12,X2)) )
        | ( p4(f2(c12,X2),c10)
          & p4(c10,f2(c11,X2)) ) ) )   )).

input_formula(formula_4,axiom,(
    ! [X1,X2] : 
      ( equal(X1,X2)
     => equal(f1(X1),f1(X2)) )   )).

input_formula(formula_14,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p7(X1,X3,X4) )
     => p7(X2,X3,X4) )   )).
%------------------------------------------------------------------------------
