%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
input_formula(formula_24,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f8(X1,X3),f8(X2,X3)) )   )).

input_formula(formula_28,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f10(X1,X3),f10(X2,X3)) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p4(X1,X2)
        | equal(X1,X2) ) )   )).

input_formula(formula_35,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p14(X1) )
     => p14(X2) )   )).

input_formula(formula_40,axiom,(
    ! [X2,X3,X1] : 
      ( p14(X2)
     => ( ( ( p4(f11(X2,X1),f11(X2,X3))
            & p1(f9(X2,X1),f9(X2,X3)) )
         => p4(f6(X2,X1),f6(X2,X3)) )
        & ( ( p1(f11(X2,X1),f11(X2,X3))
            & p4(f9(X2,X1),f9(X2,X3)) )
         => p2(f6(X2,X1),f6(X2,X3)) )
        & ( ( equal(f11(X2,X1),f11(X2,X3))
            & equal(f9(X2,X1),f9(X2,X3)) )
         => equal(f6(X2,X1),f6(X2,X3)) ) ) )   )).

input_formula(formula_45,conjecture,(
    ! [X4,X5,X3,X2,X1] : 
      ( ( p14(X4)
        & p12(X4)
        & p1(f5(X4,X5),f5(X4,X3))
        & p1(f5(X4,X3),c15)
        & p4(f5(X4,X2),c15)
        & p4(f5(X4,X1),f5(X4,X2)) )
     => ( p4(f8(X4,X1),f8(X4,X2))
        & p4(f8(X4,X2),f8(X4,X3))
        & equal(f8(X4,X3),f8(X4,X5)) ) )   )).

input_formula(formula_31,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f11(X2,X1),f11(X2,X3)) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1,X1)   )).

input_formula(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p2(X1,X3) )
     => p2(X2,X3) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p4(X2,X1) )
     => p4(X2,X3) )   )).

input_formula(formula_21,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f6(X2,X1),f6(X2,X3)) )   )).

input_formula(formula_3,axiom,(
    ! [X2,X1,X3] : 
      ( ( equal(X2,X1)
        & equal(X1,X3) )
     => equal(X2,X3) )   )).

input_formula(formula_38,axiom,(
    ! [X2,X3,X1] : 
      ( ( p14(X2)
        & p13(X2,X3)
        & ~ p13(X2,X1) )
     => p4(f8(X2,X1),f8(X2,X3)) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p2(X2,X1) )
     => p2(X2,X3) )   )).

input_formula(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p13(X1,X3) )
     => p13(X2,X3) )   )).

input_formula(formula_17,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p1(X2,X1) )
     => p1(X2,X3) )   )).

input_formula(formula_8,axiom,(
    ! [X2,X1,X3] : 
      ( ( p4(X2,X1)
        & p4(X1,X3) )
     => p4(X2,X3) )   )).

input_formula(formula_34,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p13(X2,X1) )
     => p13(X2,X3) )   )).

input_formula(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p1(X1,X3) )
     => p1(X2,X3) )   )).

input_formula(formula_26,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f9(X1,X3),f9(X2,X3)) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p3(X1,X3) )
     => p3(X2,X3) )   )).

input_formula(formula_44,axiom,(
    ! [X2,X3,X1] : 
      ( ( p14(X2)
        & p4(f5(X2,X1),f5(X2,X3)) )
     => p4(f9(X2,X1),f9(X2,X3)) )   )).

input_formula(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f6(X1,X3),f6(X2,X3)) )   )).

input_formula(formula_32,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p12(X1) )
     => p12(X2) )   )).

input_formula(formula_13,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p3(X2,X1) )
     => p3(X2,X3) )   )).

input_formula(formula_39,axiom,(
    ! [X2,X3,X1] : 
      ( ( p14(X2)
        & ~ p13(X2,X3)
        & ~ p13(X2,X1) )
     => ( ( ( p4(f6(X2,X1),f6(X2,X3))
            & p3(f10(X2,X1),f10(X2,X3)) )
         => p2(f8(X2,X1),f8(X2,X3)) )
        & ( ( p3(f6(X2,X1),f6(X2,X3))
            & p4(f10(X2,X1),f10(X2,X3)) )
         => p2(f8(X2,X1),f8(X2,X3)) )
        & ( ( equal(f6(X2,X1),f6(X2,X3))
            & equal(f10(X2,X1),f10(X2,X3)) )
         => equal(f8(X2,X1),f8(X2,X3)) ) ) )   )).

input_formula(formula_19,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f5(X2,X1),f5(X2,X3)) )   )).

input_formula(formula_25,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f8(X2,X1),f8(X2,X3)) )   )).

input_formula(formula_6,axiom,(
    ! [X2,X1] : 
      ( p2(X2,X1)
    <=> p4(X1,X2) )   )).

input_formula(formula_42,axiom,(
    ! [X2,X3,X1] : 
      ( p14(X2)
     => equal(f11(X2,X1),f11(X2,X3)) )   )).

input_formula(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p4(X1,X3) )
     => p4(X2,X3) )   )).

input_formula(formula_23,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f7(X2,X1),f7(X2,X3)) )   )).

input_formula(formula_30,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f11(X1,X3),f11(X2,X3)) )   )).

input_formula(formula_29,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f10(X2,X1),f10(X2,X3)) )   )).

input_formula(formula_7,axiom,(
    ! [X2,X1] : 
      ~ ( p4(X2,X1)
        & p4(X1,X2) )   )).

input_formula(formula_36,axiom,(
    ! [X1] : 
      ( p12(X1)
    <=> ! [X2] : 
          ( p14(X1)
          & ( p1(f5(X1,X2),c15)
           => p13(X1,X2) )
          & ( p4(f5(X1,X2),c15)
           => ~ p13(X1,X2) ) ) )   )).

input_formula(formula_37,axiom,(
    ! [X2,X1,X3] : 
      ( ( p14(X2)
        & p13(X2,X1)
        & p13(X2,X3) )
     => equal(f8(X2,X1),f8(X2,X3)) )   )).

input_formula(formula_27,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f9(X2,X1),f9(X2,X3)) )   )).

input_formula(formula_41,axiom,(
    ! [X2,X3,X1] : 
      ( p14(X2)
     => ( ( p4(f7(X2,X1),f7(X2,X3))
         => p4(f10(X2,X1),f10(X2,X3)) )
        & ( equal(f7(X2,X1),f7(X2,X3))
         => equal(f10(X2,X1),f10(X2,X3)) ) ) )   )).

input_formula(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f5(X1,X3),f5(X2,X3)) )   )).

input_formula(formula_43,axiom,(
    ! [X2,X3,X1] : 
      ( p14(X2)
     => equal(f7(X2,X1),f7(X2,X3)) )   )).

input_formula(formula_4,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ( p2(X1,X2)
        | equal(X1,X2) ) )   )).

input_formula(formula_2,axiom,(
    ! [X2,X1] : 
      ( equal(X2,X1)
     => equal(X1,X2) )   )).

input_formula(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f7(X1,X3),f7(X2,X3)) )   )).

input_formula(formula_9,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
      | equal(X1,X2)
      | p4(X1,X2) )   )).
%------------------------------------------------------------------------------
