%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
input_formula(formula_30,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p11(X1) )
     => p11(X2) )   )).

input_formula(formula_32,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p12(X2,X1) )
     => p12(X2,X3) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1,X1)   )).

input_formula(formula_4,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ( p2(X1,X2)
        | equal(X1,X2) ) )   )).

input_formula(formula_47,conjecture,(
    ! [X4,X5,X3,X1,X2] : 
      ( ( p11(X4)
        & p13(X4)
        & ~ p8(X4)
        & equal(f5(X4,X5),c15)
        & p4(c16,c15)
        & p4(c17,c15)
        & p4(c16,c17)
        & p1(f5(X4,X3),c17)
        & p4(f5(X4,X1),c17)
        & p1(f5(X4,X1),c16)
        & p4(f5(X4,X2),c16) )
     => ( p2(f6(X4,X1),f6(X4,X2))
        & p2(f6(X4,X2),f6(X4,X3))
        & equal(f6(X4,X3),f6(X4,X5)) ) )   )).

input_formula(formula_28,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p10(X1,X3) )
     => p10(X2,X3) )   )).

input_formula(formula_35,axiom,(
    ! [X1,X2] : 
      ( ( p11(X1)
        & ~ p8(X1) )
     => ~ p9(X1,X2) )   )).

input_formula(formula_13,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p3(X2,X1) )
     => p3(X2,X3) )   )).

input_formula(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p4(X1,X3) )
     => p4(X2,X3) )   )).

input_formula(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f5(X1,X3),f5(X2,X3)) )   )).

input_formula(formula_6,axiom,(
    ! [X2,X1] : 
      ( p2(X2,X1)
    <=> p4(X1,X2) )   )).

input_formula(formula_22,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p7(X1,X3,X4) )
     => p7(X2,X3,X4) )   )).

input_formula(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p2(X1,X3) )
     => p2(X2,X3) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p3(X1,X3) )
     => p3(X2,X3) )   )).

input_formula(formula_29,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p10(X2,X1) )
     => p10(X2,X3) )   )).

input_formula(formula_45,axiom,(
    p4(c21,c19)   )).

input_formula(formula_3,axiom,(
    ! [X2,X1,X3] : 
      ( ( equal(X2,X1)
        & equal(X1,X3) )
     => equal(X2,X3) )   )).

input_formula(formula_27,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p9(X2,X1) )
     => p9(X2,X3) )   )).

input_formula(formula_43,axiom,(
    p4(c19,c18)   )).

input_formula(formula_9,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
      | equal(X1,X2)
      | p4(X1,X2) )   )).

input_formula(formula_17,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p1(X2,X1) )
     => p1(X2,X3) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p4(X2,X1) )
     => p4(X2,X3) )   )).

input_formula(formula_26,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p9(X1,X3) )
     => p9(X2,X3) )   )).

input_formula(formula_46,axiom,(
    p4(c21,c20)   )).

input_formula(formula_44,axiom,(
    p4(c22,c21)   )).

input_formula(formula_19,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f5(X2,X1),f5(X2,X3)) )   )).

input_formula(formula_37,axiom,(
    ! [X1,X2] : 
      ( ( p11(X1)
        & equal(f5(X1,X2),c15) )
     => p10(X1,X2) )   )).

input_formula(formula_34,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ! [X2] : 
          ( p11(X1)
          & ( p1(f5(X1,X2),c14)
           => p9(X1,X2) )
          & ( p4(f5(X1,X2),c14)
           => ~ p9(X1,X2) ) ) )   )).

input_formula(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p12(X1,X3) )
     => p12(X2,X3) )   )).

input_formula(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( ( p11(X1)
        & equal(f5(X1,X2),c15) )
     => ( p4(f5(X1,X3),c16)
      <=> p7(X1,X2,X3) ) )   )).

input_formula(formula_2,axiom,(
    ! [X2,X1] : 
      ( equal(X2,X1)
     => equal(X1,X2) )   )).

input_formula(formula_24,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1,X4)
        & p7(X2,X3,X1) )
     => p7(X2,X3,X4) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p4(X1,X2)
        | equal(X1,X2) ) )   )).

input_formula(formula_41,axiom,(
    p4(c22,c20)   )).

input_formula(formula_33,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p13(X1) )
     => p13(X2) )   )).

input_formula(formula_21,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1,X3)
     => equal(f6(X2,X1),f6(X2,X3)) )   )).

input_formula(formula_36,axiom,(
    ! [X2,X1,X3] : 
      ( p7(X2,X1,X3)
    <=> ( p11(X2)
        & ~ ( p10(X2,X1)
          <=> p10(X2,X3) ) ) )   )).

input_formula(formula_8,axiom,(
    ! [X2,X1,X3] : 
      ( ( p4(X2,X1)
        & p4(X1,X3) )
     => p4(X2,X3) )   )).

input_formula(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p1(X1,X3) )
     => p1(X2,X3) )   )).

input_formula(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p8(X1) )
     => p8(X2) )   )).

input_formula(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f6(X1,X3),f6(X2,X3)) )   )).

input_formula(formula_40,axiom,(
    ! [X1,X2] : 
      ( p11(X1)
     => ( ( p9(X1,X2)
         => equal(f6(X1,X2),c18) )
        & ( ~ p9(X1,X2)
         => ( ( ( p10(X1,X2)
                & p12(X1,X2) )
             => equal(f6(X1,X2),c19) )
            & ( ( ~ p10(X1,X2)
                & p12(X1,X2) )
             => equal(f6(X1,X2),c20) )
            & ( ( p10(X1,X2)
                & ~ p12(X1,X2) )
             => equal(f6(X1,X2),c21) )
            & ( ( ~ p10(X1,X2)
                & ~ p12(X1,X2) )
             => equal(f6(X1,X2),c22) ) ) ) ) )   )).

input_formula(formula_23,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1,X3)
        & p7(X2,X1,X4) )
     => p7(X2,X3,X4) )   )).

input_formula(formula_7,axiom,(
    ! [X2,X1] : 
      ~ ( p4(X2,X1)
        & p4(X1,X2) )   )).

input_formula(formula_39,axiom,(
    ! [X1] : 
      ( p13(X1)
    <=> ! [X2] : 
          ( ( p1(f5(X1,X2),c17)
           => ~ p12(X1,X2) )
          & ( p4(f5(X1,X2),c17)
           => p12(X1,X2) ) ) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1,X3)
        & p2(X2,X1) )
     => p2(X2,X3) )   )).

input_formula(formula_42,axiom,(
    p4(c20,c19)   )).
%------------------------------------------------------------------------------
