%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
input_formula(formula_39,conjecture,(
    ( p5(c11)
  <=> p10(c11) )   )).

input_formula(formula_8,axiom,(
    ! [X5,X2,X1] : 
      ( ( p1(X5,X2,X1)
        & ! [X4] : 
            ( p2(X4,X1)
           => ? [X3] : 
                ( p2(X3,X2)
                & equal(f3(X5,X3),X4) ) ) )
     => p6(X5) )   )).

input_formula(formula_37,axiom,(
    ! [X4,X3,X1] : 
      ( ( p1(X4,X3,X1)
        & ! [X2] : 
            ( ( p2(X2,X3)
              & equal(f3(X4,X2),f4(X1)) )
           => equal(X2,f4(X3)) ) )
     => p10(X4) )   )).

input_formula(formula_6,axiom,(
    ! [X5,X2,X1] : 
      ( ( p1(X5,X2,X1)
        & ! [X3,X4] : 
            ( ( p2(X3,X2)
              & p2(X4,X2)
              & equal(f3(X5,X3),f3(X5,X4)) )
           => equal(X3,X4) ) )
     => p5(X5) )   )).

input_formula(formula_38,hypothesis,(
    p1(c11,c12,c13)   )).

input_formula(formula_13,axiom,(
    ! [X3,X1,X2] : 
      ( ( p2(X1,X3)
        & p2(X2,X3) )
     => p2(f9(X3,X1,X2),X3) )   )).

input_formula(formula_11,axiom,(
    ! [X6,X5,X8,X7,X4,X1,X2,X3] : 
      ( ( p8(X6,X5,X8,X7)
        & p1(X6,X4,X1)
        & p1(X5,X1,X3)
        & p1(X8,X4,X2)
        & p1(X7,X2,X3) )
     => ! [X9] : 
          ( p2(X9,X4)
         => equal(f3(X5,f3(X6,X9)),f3(X7,f3(X8,X9))) ) )   )).

input_formula(formula_14,axiom,(
    ! [X2,X1] : 
      ( p2(X1,X2)
     => equal(f9(X2,X1,X1),f4(X2)) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X2,X1)
        & p2(X3,X1) )
     => equal(f9(X1,X2,f9(X1,X2,X3)),X3) )   )).

input_formula(formula_7,axiom,(
    ! [X3,X2,X1] : 
      ( ( p6(X3)
        & p1(X3,X2,X1) )
     => ! [X5] : 
          ( p2(X5,X1)
         => ? [X4] : 
              ( p2(X4,X2)
              & equal(f3(X3,X4),X5) ) ) )   )).

input_formula(formula_5,axiom,(
    ! [X3,X2,X1] : 
      ( ( p5(X3)
        & p1(X3,X2,X1) )
     => ! [X4,X5] : 
          ( ( p2(X4,X2)
            & p2(X5,X2)
            & equal(f3(X3,X4),f3(X3,X5)) )
         => equal(X4,X5) ) )   )).

input_formula(formula_10,axiom,(
    ! [X6,X7,X3,X1,X2] : 
      ( ( p1(X6,X3,X1)
        & p1(X7,X1,X2)
        & ! [X5] : 
            ( ( p2(X5,X1)
              & equal(f3(X7,X5),f4(X2)) )
          <=> ? [X4] : 
                ( p2(X4,X3)
                & equal(f3(X6,X4),X5) ) ) )
     => p7(X6,X7) )   )).

input_formula(formula_9,axiom,(
    ! [X5,X2,X4,X1,X3] : 
      ( ( p7(X5,X2)
        & p1(X5,X4,X1)
        & p1(X2,X1,X3) )
     => ! [X7] : 
          ( ( p2(X7,X1)
            & equal(f3(X2,X7),f4(X3)) )
        <=> ? [X6] : 
              ( p2(X6,X4)
              & equal(f3(X5,X6),X7) ) ) )   )).

input_formula(formula_16,axiom,(
    ! [X4,X1,X2] : 
      ( p1(X4,X1,X2)
     => ! [X3,X5] : 
          ( ( p2(X3,X1)
            & p2(X5,X1) )
         => equal(f3(X4,f9(X1,X3,X5)),f9(X2,f3(X4,X3),f3(X4,X5))) ) )   )).

input_formula(formula_12,axiom,(
    ! [X6,X7,X8,X9,X4,X1,X2,X3] : 
      ( ( p1(X6,X4,X1)
        & p1(X7,X1,X3)
        & p1(X8,X4,X2)
        & p1(X9,X2,X3)
        & ! [X5] : 
            ( p2(X5,X4)
           => equal(f3(X7,f3(X6,X5)),f3(X9,f3(X8,X5))) ) )
     => p8(X6,X7,X8,X9) )   )).

input_formula(formula_36,axiom,(
    ! [X1,X4,X2] : 
      ( ( p10(X1)
        & p1(X1,X4,X2) )
     => ! [X3] : 
          ( ( p2(X3,X4)
            & equal(f3(X1,X3),f4(X2)) )
         => equal(X3,f4(X4)) ) )   )).

input_formula(formula_4,axiom,(
    ! [X2,X3,X4] : 
      ( p1(X2,X3,X4)
     => ( ! [X1] : 
            ( p2(X1,X3)
           => p2(f3(X2,X1),X4) )
        & equal(f3(X2,f4(X3)),f4(X4)) ) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1,X1)   )).
%------------------------------------------------------------------------------
